Last Comment Bug 1070491 - Today pane/sidebar: Month and year always "Jan 5555" on startup
: Today pane/sidebar: Month and year always "Jan 5555" on startup
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Calendar Views (show other bugs)
: Lightning 3.6
: x86_64 Windows 8.1
-- normal with 1 vote (vote)
: 4.0.0.1
Assigned To: Decathlon
:
:
Mentors:
: 1104779 1108492 1143654 1150741 1177241 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-20 04:12 PDT by Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout)
Modified: 2015-06-24 20:11 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Workaround-v1 (916 bytes, patch)
2014-12-07 02:55 PST, Decathlon
no flags Details | Diff | Splinter Review
Workaround-v2 (2.66 KB, patch)
2015-01-13 15:03 PST, Decathlon
philipp: review+
Details | Diff | Splinter Review
Workaround-v2 for checkin (2.67 KB, patch)
2015-01-23 03:13 PST, Decathlon
bv1578: review+
Details | Diff | Splinter Review

Description User image Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) 2014-09-20 04:12:25 PDT
Thunderbird Daily + Lightning Trunk 20140919 on Windows 8.1

Launching Thunderbird with Lightning enabled shows "Jan 5555" as month and year in the Today pane sidebar.

Last good: 20140723
First bad: 20140814
No Windows builds between these dates and the Linux one I tried from 20140805 seemed broken.
Comment 1 User image Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) 2014-09-20 04:17:05 PDT
document.getElementById("monthNameContainer").selectedIndex changes for me while calendar-multiday-view.xml's onResize runs:

          let size;
          if (self.orient == "horizontal") {
              size = scrollbox.boxObject.width;
          } else {
              // Here it's 8.
              size = scrollbox.boxObject.height;
              // Here it's 0.
          }

Is a Promise responsible for that?


Pushlog for comm-central: http://hg.mozilla.org/comm-central/pushloghtml?startdate=2014-07-23&enddate=2014-08-15
Comment 2 User image Decathlon 2014-09-20 08:52:33 PDT
Don't know if it's related, but that one is the same point where scrollbox.boxObject.height always returns 0 during startup on SeaMonkey and it causes Bug 1064089.
Comment 3 User image Decathlon 2014-12-07 02:55:58 PST
Created attachment 8532898 [details] [diff] [review]
Workaround-v1

I tried to look into the issue, but I'm not able to find the real cause. The regression range and the kind of patches applied in the range don't help me so much since the absence of builds for Windows.

This patch is only a workaround, it sets the default value for month and year in the first panel of the deck to the date of today (the miniday always shows today on startup) instead of "Jan 5555" so when the bug occurs, the date showed is always correct.

If we want a real fix someone else should look into the issue.
Comment 4 User image Decathlon 2014-12-08 01:24:00 PST
Comment on attachment 8532898 [details] [diff] [review]
Workaround-v1

I've just realized that the same bug occurs on the deck of the weekday (the weekdayNameContainer deck) because on startup its selectedIndex is reset to 0.

For this deck it needs something different. Removing the review request.
Comment 5 User image Decathlon 2014-12-08 01:54:10 PST
*** Bug 1108492 has been marked as a duplicate of this bug. ***
Comment 6 User image Stefan Sitter 2014-12-08 08:48:59 PST
*** Bug 1104779 has been marked as a duplicate of this bug. ***
Comment 7 User image Decathlon 2015-01-13 15:03:37 PST
Created attachment 8548481 [details] [diff] [review]
Workaround-v2

I've also added a workaround for the day label.
Overall not an elegant solution, but seeing "Sun Jan 5555" on every startup is by far worse.
Philipp, if you know a different way to fix this, please let me know.
Comment 8 User image Philipp Kewisch [:Fallen] 2015-01-18 07:40:39 PST
Comment on attachment 8548481 [details] [diff] [review]
Workaround-v2

Review of attachment 8548481 [details] [diff] [review]:
-----------------------------------------------------------------

Unfortunately I can't think of a better way to fix this, lets go with what you've done for now. r=philipp
Comment 9 User image Decathlon 2015-01-23 03:13:56 PST
Created attachment 8553672 [details] [diff] [review]
Workaround-v2 for checkin
Comment 10 User image Philipp Kewisch [:Fallen] 2015-01-27 16:22:55 PST
Pushed to comm-central changeset 1140e1eed436
Comment 11 User image jlerner10 2015-03-11 03:47:48 PDT
Just an update
I am still seeing (Jan 5555) this when using TB 37.0b1 and Lightning 3.9b1
Comment 12 User image Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) 2015-03-11 04:29:28 PDT
As you can see in the 'Target Milestone' field at the top of the bug, this has been fixed in Lightning 4.0, so Lightning 3.9b1 remains affected.
Comment 13 User image jlerner10 2015-03-11 04:58:13 PDT
(In reply to Archaeopteryx [:aryx] from comment #12)
> As you can see in the 'Target Milestone' field at the top of the bug, this
> has been fixed in Lightning 4.0, so Lightning 3.9b1 remains affected.

Thanks I missed that.

Will wait for it to be released.
Comment 14 User image Stefan Sitter 2015-03-16 07:11:55 PDT
*** Bug 1143654 has been marked as a duplicate of this bug. ***
Comment 15 User image Stefan Sitter 2015-04-03 00:12:33 PDT
*** Bug 1150741 has been marked as a duplicate of this bug. ***
Comment 16 User image Stefan Sitter 2015-06-24 20:11:45 PDT
*** Bug 1177241 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.